﻿using Prism.Ioc;
using Prism.Regions;
using StartServerWPF.Modules.Main.ViewModels;
using System.Windows;

namespace StartServerWPF.Views
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private readonly IContainerProvider containerProvider;

        public MainWindow(IContainerProvider containerProvider)
        {
            InitializeComponent();
            this.containerProvider = containerProvider;
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            if (MessageBox.Show("是否退出程序？", "warning", MessageBoxButton.YesNo, MessageBoxImage.Warning) == MessageBoxResult.Yes)
            {
                var main= containerProvider.Resolve<MainViewModel>();

                main.Unloaded();
            }
            else
            {
                e.Cancel = true;
            }
        }

    }
}
